Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.ui.template
Class XHTMLTemplateCompiler

    java.lang.Object
      echopointng.ui.template.XHTMLTemplateCompiler

All Implemented Interfaces:
  TemplateCompiler

Direct Known Subclasses:
  JspXHTMLTemplateCompiler

    public class XHTMLTemplateCompiler

extends java.lang.Object
implements TemplateCompiler

`XHTMLTemplateCompiler` can compile source XHTML template data into.. well a XHTML DOM Element.

Constructor Summary
`XHTMLTemplateCompiler()`

Method Summary
`org.w3c.dom.Element` | `compileTemplateDataIntoXHTML(RenderContext rc, TemplateDataSource tds)` This method is called to compile a template data source of template data into a DOM XHTML Element.
`protected org.w3c.dom.Element` | `compileXHTML(java.io.InputStream inputStream, java.lang.String characterEncoding)` This does the actual compiling of a stream of XHTML into a XHTML DOM Element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XHTMLTemplateCompiler

    public XHTMLTemplateCompiler()

Method Detail

### compileTemplateDataIntoXHTML

    public org.w3c.dom.Element compileTemplateDataIntoXHTML(RenderContext rc,
                                                            TemplateDataSource tds)
                                                     throws java.lang.Exception

  Description copied from interface: `TemplateCompiler`
  This method is called to compile a template data source of template data into a DOM XHTML Element.

  Specified by:
    `compileTemplateDataIntoXHTML` in interface `TemplateCompiler`
  Parameters:
    `rc` - - the RenderContext is play at the time of compilation
    `tds` - - the template data source
  Returns:
    a DOM Element in XHTML or null if it cant be compiled
  Throws:
    `java.lang.Exception` - - can Throw exceptions such as parse exceptions etc..
  See Also:
    `TemplateCompiler.compileTemplateDataIntoXHTML(nextapp.echo2.webcontainer.RenderContext, echopointng.template.TemplateDataSource)`

### compileXHTML

    protected org.w3c.dom.Element compileXHTML(java.io.InputStream inputStream,
                                               java.lang.String characterEncoding)
                                        throws java.lang.Exception

  This does the actual compiling of a stream of XHTML into a XHTML DOM Element.

  Parameters:
    `inputStream` - - this must be a stream of XHTML data
    `characterEncoding` - - the encoding to use
  Returns:
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD